{{ $basePath:= .basePath }}
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <!-- Meta, title, CSS, favicons, etc. -->
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>GitLab Service Inventory Catalog | </title>

    <!-- Bootstrap -->
    <link href="{{ $basePath }}/assets/vendors/bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">
    <!-- Font Awesome -->
    <link href="{{ $basePath }}/assets/vendors/font-awesome/css/font-awesome.min.css" rel="stylesheet">
    <!-- NProgress -->
    <link href="{{ $basePath }}/assets/vendors/nprogress/nprogress.css" rel="stylesheet">

    <!-- Custom Theme Style -->
    <link href="{{ $basePath }}/assets/build/css/custom.min.css" rel="stylesheet">

    <link href="{{ $basePath }}/assets/vendors/nprogress/nprogress.css" rel="stylesheet">

    <link href="{{ $basePath }}/assets/vendors/iCheck/skins/flat/green.css" rel="stylesheet">

    <link href="{{ $basePath }}/assets/vendors/datatables.net-bs/css/dataTables.bootstrap.min.css" rel="stylesheet">
    <link href="{{ $basePath }}/assets/vendors/datatables.net-buttons-bs/css/buttons.bootstrap.min.css" rel="stylesheet">
    <link href="{{ $basePath }}/assets/vendors/datatables.net-fixedheader-bs/css/fixedHeader.bootstrap.min.css" rel="stylesheet">
    <link href="{{ $basePath }}/assets/vendors/datatables.net-responsive-bs/css/responsive.bootstrap.min.css" rel="stylesheet">
    <link href="{{ $basePath }}/assets/vendors/datatables.net-scroller-bs/css/scroller.bootstrap.min.css" rel="stylesheet">
    <script type="text/javascript" src="{{ $basePath }}/assets//dist/vis.js"></script>
    <link href="{{ $basePath }}/asstets/dist/vis-network.min.css" rel="stylesheet" type="text/css" />

    <style type="text/css">
      body {
        font: 10pt arial;
      }
      #mynetwork {
        width: 350px;
        height: 350px;
        background-color:#FFFFFF;
      }
    </style>

    <script type="text/javascript"> 
      var DIR = 'img/soft-scraps-icons/';
  
      var nodes = null;
      var edges = null;
      var network = null;
  
      function draw() {
        var DIR = '../assets/images/team/';
        var nodes = [];
        var edges = [];

        var counter = 0;
        var managerIndex = -1;
        //var manager = {"id": counter, "shape": 'circularImage', "image": DIR + '', "label":"{{.manager}}"};
        //nodes.push(manager);

        {{ range .chain }}
          {{if eq $.managerSlug .Slug}}
            var manager = {"id": counter, "shape": 'circularImage', "image": DIR + '{{.Picture}}', "label":"{{.Name}}"};
            nodes.push(manager);
            managerIndex = counter;
            counter += 1;
          {{else}}
            var direct = {"id": counter, "shape": 'circularImage', "image": DIR + '{{.Picture}}', "label":"{{.Name}}"};
            nodes.push(direct);
            counter += 1;
          {{end}}
        {{ end }}

        var i = 0;
        while (i < counter) {
          if (i != managerIndex) {
            var reportChain = {"from": i, "to": managerIndex};
            edges.push(reportChain);
          }
          i += 1;
        }

        var container = document.getElementById('mynetwork');
        var data = {
          nodes: nodes,
          edges: edges
        };
        var options = {
          nodes: {
            borderWidth:0,
            size:35,
          color: {
              border: '#222222',
              background: '#666666'
            },
            font:{color:'#000000'}
          },
          edges: {
            color: 'lightgray'
          }
        };
        network = new vis.Network(container, data, options);
      }
    </script>
  </head>

  <body class="nav-md" onload="draw()">
    <div class="container body">
      <div class="main_container">
        <div class="col-md-3 left_col">
          <div class="left_col scroll-view">
            <div class="navbar nav_title" style="border: 0;">
              <a href="{{ $basePath }}/" class="site_title"><span>Service Catalog</span></a>
            </div>

            <div class="clearfix"></div>
            <br />

            <!-- sidebar menu -->
            <div id="sidebar-menu" class="main_menu_side hidden-print main_menu">
              <div class="menu_section">
                <h3>General</h3>
                <ul class="nav side-menu">
                  <li><a href="{{ $basePath }}/"><i class="fa fa-home"></i> Home <span class="fa"></span></a>
                  </li>
                  <li><a href="{{ $basePath }}/services"><i class="fa fa-cog"></i> Services <span class="fa"></span></a>
                  </li>
                  <li><a href="{{ $basePath }}/teams"><i class="fa fa-users"></i> Teams <span class="fa"></span></a>  
                  </li>
                </ul>
              </div>
              
            </div>
            <!-- /sidebar menu -->
          </div>
        </div>
        <!-- top navigation -->
        <div class="top_nav">
          <div class="nav_menu">
            <nav>
              <div class="nav toggle">
                <a id="menu_toggle"><i class="fa fa-bars"></i></a>
              </div>
            </nav>
          </div>
        </div>
        <!-- /top navigation -->

        <!-- page content -->
        <div class="right_col" role="main">
          <div class="">
            <div class="page-title">
              <div class="title_left">
                <nav aria-label="breadcrumb">
                  <ol class="breadcrumb">
                    <li class="breadcrumb-item"><a href="{{ $basePath }}/teams">Teams</a></li>
                    <li class="breadcrumb-item active" aria-current="page">{{ .team.Name }}</li>
                  </ol>
                  </nav>
              </div>
            </div>
          </div>
          <div class="clearfix"></div>
          <div class="col-md-4 col-sm-6 col-xs-12">
            <div class="x_panel fixed_height_800">
              <div class="x_title">
                <h2>Team Members</h2>
                <ul class="nav navbar-right panel_toolbox">
                  <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a></li>
                </ul>
                <div class="clearfix"></div>
              </div>
              <div class="x_content">
                {{ if eq .team.Name "infrastructure-database" }}
                  {{ range .team.TeamMembers }}
                  <ul>
                    <li>{{ . }}</li>
                  </ul>
                  {{ end }}
                {{ else if eq .team.Name "infrastructure-observability" }}
                  {{ range .team.TeamMembers }}
                  <ul>
                    <li>{{ . }}</li>
                  </ul>
                  {{ end }}
                {{ else if eq .team.Name "infrastructure-webapp" }}
                  {{ range .team.TeamMembers }}
                  <ul>
                    <li>{{ . }}</li>
                  </ul>
                  {{ end }}
                {{ else if eq .team.Name "infrastructure-coreinfra" }}
                  {{ range .team.TeamMembers }}
                  <ul>
                    <li>{{ . }}</li>
                  </ul>
                  {{ end }}
                {{ else if eq .team.Name "infrastructure-git" }}
                  {{ range .team.TeamMembers }}
                    <ul>
                      <li>{{ . }}</li>
                    </ul>
                    {{ end }}
                {{ else if eq .team.Name "infrastructure-caches-ci-queues" }}
                  {{ range .team.TeamMembers }}
                  <ul>
                    <li>{{ . }}</li>
                  </ul>
                  {{ end }}
                {{ else if eq .team.Name "infrastructure-businessops" }}
                  {{ range .team.TeamMembers }}
                    <ul>
                      <li>{{ . }}</li>
                    </ul>
                    {{ end }}
                {{ else }}
                  <div id="mynetwork"></div>
                {{ end }}
              </div>
            </div>
          </div>
          <div class="col-md-8 col-sm-8 col-xs-12" style="border:0px solid #e5e5e5;">
            <div class="x_panel fixed_height_800">
              <div class="x_title">
                <h2>Team Info</h2>  
                <ul class="nav navbar-right panel_toolbox">
                  <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a></li>
                </ul>
                <div class="clearfix"></div>
              </div>
              <div class="x_content">
                <h3>Page</h3>
                <p><a href="{{.team.URL}}">{{.team.URL}}</a></p>
                <div class="clearfix"></div>
                <h3>Manager Slug</h3>
                <p>{{.team.ManagerSlug}}</p>
                <div class="clearfix"></div>
                <h3>Slack Channel</h3>
                <p><a href="https://gitlab.slack.com/app_redirect?channel={{.team.SlackChannel}}">{{.team.SlackChannel}}</a></p>
                <div class="clearfix"></div>
                <h3>Engagement Policy</h3>
                <p><a href="{{.team.EngagementPolicyURL}}">{{.team.EngagementPolicyURL}}</a></p>
                <div class="clearfix"></div>
                <h3>OnCall Schedule</h3>
                <p><a href="{{.team.OnCallScheduleURL}}">{{.team.OnCallScheduleURL}}</a></p>
                <div class="clearfix"></div>
              </div>
            </div>    
          </div>
        </div>
        <!-- /page content -->

        <!-- footer content -->
        <footer>
          <div class="pull-right">
            GitLab Service Inventory Catalog
          </div>
          <div class="clearfix"></div>
        </footer>
        <!-- /footer content -->
      </div>
    </div>

    <!-- jQuery -->
    <script src="{{ $basePath }}/assets/vendors/jquery/dist/jquery.min.js"></script>
    <!-- Bootstrap -->
    <script src="{{ $basePath }}/assets/vendors/bootstrap/dist/js/bootstrap.min.js"></script>
    <!-- FastClick -->
    <script src="{{ $basePath }}/assets/vendors/fastclick/lib/fastclick.js"></script>
    <!-- NProgress -->
    <script src="{{ $basePath }}/assets/vendors/nprogress/nprogress.js"></script>
    
    <!-- Custom Theme Scripts -->
    <script src="{{ $basePath }}/assets/build/js/custom.min.js"></script>
    <script src="{{ $basePath }}/assets/vendors/iCheck/icheck.min.js"></script>
    <script src="{{ $basePath }}/assets/vendors/datatables.net/js/jquery.dataTables.min.js"></script>
    <script src="{{ $basePath }}/assets/vendors/datatables.net-bs/js/dataTables.bootstrap.min.js"></script>
    <script src="{{ $basePath }}/assets/vendors/datatables.net-buttons/js/dataTables.buttons.min.js"></script>
    <script src="{{ $basePath }}/assets/vendors/datatables.net-buttons-bs/js/buttons.bootstrap.min.js"></script>
    <script src="{{ $basePath }}/assets/vendors/datatables.net-buttons/js/buttons.flash.min.js"></script>
    <script src="{{ $basePath }}/assets/vendors/datatables.net-buttons/js/buttons.html5.min.js"></script>
    <script src="{{ $basePath }}/assets/vendors/datatables.net-buttons/js/buttons.print.min.js"></script>
    <script src="{{ $basePath }}/assets/vendors/datatables.net-fixedheader/js/dataTables.fixedHeader.min.js"></script>
    <script src="{{ $basePath }}/assets/vendors/datatables.net-keytable/js/dataTables.keyTable.min.js"></script>
    <script src="{{ $basePath }}/assets/vendors/datatables.net-responsive/js/dataTables.responsive.min.js"></script>
    <script src="{{ $basePath }}/assets/vendors/datatables.net-responsive-bs/js/responsive.bootstrap.js"></script>
    <script src="{{ $basePath }}/assets/vendors/datatables.net-scroller/js/dataTables.scroller.min.js"></script>
    <script src="{{ $basePath }}/assets/vendors/jszip/dist/jszip.min.js"></script>
    <script src="{{ $basePath }}/assets/vendors/pdfmake/build/pdfmake.min.js"></script>
    <script src="{{ $basePath }}/assets/vendors/pdfmake/build/vfs_fonts.js"></script>
    <script src="{{ $basePath }}/assets/build/js/custom.min.js"></script>
  </body>
</html>
